package com.kcim.service;

import com.kcim.web.request.AccountingItemMapRequest;

import java.util.List;

/**
 * @program: CostAccount
 * @description:
 * @author: Wang.YS
 * @create: 2023-11-27 17:52
 **/

public interface AccountingItemMapService {
    Object getAccountingList(String accountingName, Integer type);

    Object getAccountingItemDictList(Integer type,String name);

    Object getAccountingItemMap(Integer current, Integer pageSize, String accountingCode, String itemName);

    void addAccountingItemMap(AccountingItemMapRequest map);

    void deleteAccountingItemMap(Integer id);

    void batchDeleteAccountingItemMap(List<Integer> ids);
}
